changeset 122:4cd5475623eb

scripts (launcher, test_accounts): update
author souliane <souliane@mailoo.org>
date Tue, 01 Dec 2015 16:23:14 +0100
parents d493fe1cf095
children f20fa03391f5
files scripts/launcher/launch.sh scripts/test_accounts/create_accounts.sh
diffstat 2 files changed, 13 insertions(+), 7 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/launcher/launch.sh	Fri Mar 18 17:56:34 2016 +0100
+++ b/scripts/launcher/launch.sh	Tue Dec 01 16:23:14 2015 +0100
@@ -25,8 +25,11 @@
 SPS_PID=$SATPUBSUB/twistd.pid
 SALUT_PID=$SALUT/twistd.pid
 
+# Services host
+SERVICE=libervia
+
 # Connection information for Prosody components
-SPS_JID=sat-pubsub.tazar.int
+SPS_JID=sat-pubsub.$SERVICE
 SPS_PWD=password
 
 # Informations for a concurrent sat instance
@@ -52,7 +55,7 @@
 # Launch salut in debug mode?
 SALUT_DEBUG=0
 # Launch libervia in debug mode?
-LIB_DEBUG=1
+LIB_DEBUG=0
 # Force killing processes?
 KILL_FORCE=1
 
@@ -115,7 +118,7 @@
 	stop_sps
 	stop_salut
     echo "####### Stopping bind9 #######"
-    sudo /etc/init.d/bind9 stop
+    sudo /etc/init.d/bind9 stop 2> /dev/null || echo "bind9 not installed?"
     
 }
 
@@ -125,7 +128,7 @@
     if [[ $SPS_DEBUG = 1 ]]; then
         debug_console twistd -n -b sat_pubsub --jid=$SPS_JID --secret=$SPS_PWD
     else
-        twistd sat_pubsub --jid=$SPS_JID --secret=$SPS_PWD
+        twistd sat_pubsub --jid=$SPS_JID --secret=$SPS_PWD #-v
     fi
 }
 
@@ -145,7 +148,7 @@
     start_sps
     start_salut
     echo "############## Starting bind9 #############"
-    sudo /etc/init.d/bind9 restart
+    sudo /etc/init.d/bind9 restart 2> /dev/null || echo "bind9 not installed?"
 }
 
 start_sat() {
@@ -161,7 +164,8 @@
 start_lib() {
     echo "############ Starting libervia ############"
     cd $LIBERVIA/src/browser
-    pyjsbuild libervia_main -d --no-compile-inplace --platforms=mozilla -I $TMP -o $LIBERVIA/html
+    #--platforms=mozilla
+    pyjsbuild libervia_main -d --no-compile-inplace -I $TMP -o $LIBERVIA/html
     cd $LIBERVIA/src
     if [[ $LIB_DEBUG = 1 ]]; then
 		debug_console ./libervia.sh debug
@@ -199,7 +203,7 @@
 
 sat_main() {
     echo "######## Starting SàT main instance #######"
-    cd $SAT_MAIN/lib/sat && hg pull -u && PYTHONPATH=$SAT_MAIN/lib:$PYTHONPATH ./sat.sh
+    cd $SAT_MAIN/lib/sat && hg qpop -a && hg pull -u && hg qpush -a && PYTHONPATH=$SAT_MAIN/lib:$PYTHONPATH ./sat.sh
     echo "#### Starting primitivus main instance ####"
     cd $SAT_MAIN/lib/sat_frontends/primitivus && PYTHONPATH=$SAT_MAIN/lib:$PYTHONPATH ./primitivus -p souliane
 }
@@ -259,6 +263,7 @@
     start_lib) start_lib ;;
     stop) stop_lib && stop_sat && stop_ser ;;
     start) start_ser && start_sat && start_lib;;
+    restart_sps) stop_sps && start_sps ;;
     restart_ser) stop_ser && start_ser ;;
     restart_sat) stop_sat && start_sat ;;
     restart_lib) stop_lib && start_lib ;;
--- a/scripts/test_accounts/create_accounts.sh	Fri Mar 18 17:56:34 2016 +0100
+++ b/scripts/test_accounts/create_accounts.sh	Tue Dec 01 16:23:14 2015 +0100
@@ -24,3 +24,4 @@
         echo OK
     done
 done
+cp -r data/* ~/workspace/prosody-hg/data/